Description

The rouge gem claims to follow Semantic Versioning 2.0.0. As such, most releases of the gem in the past bumped the minor version.

I think it is not necessary to bump every minor release in our Gemfile, thereby forcing users on older Redmine releases to stay on an

older rouge version unnecessarily.

As such, I think we should relax the rouge dependency to something like

gem "rouge", "~> 3.28" 

 As with this change, people might have different languages available (as different rouge versions support different languages).

Accordingly, I propose we also dynamically generate the list of highlighted languages (currently in

public/help/code_highlighting_languages.html) with a controller action.

Related issues:

Related to Redmine - Feature #33859: Add a list of supported languages by the... Closed

Related to Redmine - Patch #36325: Update Rouge to 3.28 Closed

Related to Redmine - Feature #40681: Dynamic generation of supported code hig... Closed

Associated revisions

Revision 22841 - 2024-05-21 11:01 - Go MAEDA

Relax rouge version dependency in Gemfile (#36594).

Contributed by Holger Just (@hjust).

History

#1 - 2022-02-09 19:31 - Holger Just

- Category set to Text formatting

#2 - 2022-02-09 19:32 - Holger Just

- Related to Feature #33859: Add a list of supported languages by the code highlighter to the help added

#3 - 2022-02-09 19:32 - Holger Just

- Related to Patch #36325: Update Rouge to 3.28 added

#4 - 2024-05-11 09:35 - Go MAEDA

- Related to Feature #40681: Dynamic generation of supported code highlighting languages in help section added

#5 - 2024-05-19 07:14 - Go MAEDA

- Target version set to 6.0.0

Holger Just wrote:

As with this change, people might have different languages available (as different rouge versions support different languages). Accordingly, I

propose we also dynamically generate the list of highlighted languages (currently in public/help/code_highlighting_languages.html) with a

controller action.
https://github.com/rouge-ruby/rouge/blob/master/CHANGELOG.md#changelog


 Dynamic generation of the list was implemented in #40681.

Setting the target version to 6.0.0.

Index: Gemfile

===================================================================

--- Gemfile    (revision 22840)

+++ Gemfile    (working copy)

@@ -3,7 +3,7 @@

 ruby '>= 3.0.0', '< 3.4.0'

 gem 'rails', '7.1.2'

-gem 'rouge', '~> 4.2.0'

+gem 'rouge', '~> 4.2'

 gem 'mini_mime', '~> 1.1.0'

 gem "actionpack-xml_parser" 

 gem 'roadie-rails', '~> 3.2.0'

#6 - 2024-05-19 12:11 - Holger Just

Awesome, thank you very much!

#7 - 2024-05-21 11:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the change in r22841.
